package com.yeejoin.amos.api.openapi.enums;

/**
 * 
 * <pre>
 * 轿厢内是否有人状态枚举
 * </pre>
 *
 * @author gwb
 * @version $Id: LiftPersonFlagEnum.java, v 0.1 2021年9月29日 上午9:23:00 gwb Exp $
 */
public enum LiftPersonFlagEnum{

	NO(0,"无"),
	YES (1,"有");

	/**
	 * 编码
	 */
	private Integer code;

	/**
	 * 名称
	 */
	private String name;


	// 构造方法
	private LiftPersonFlagEnum(Integer code, String name) {
		this.code = code;
		this.name = name;
	}


	public Integer getCode() {
		return code;
	}
	
	public String getName()
	{
		return name;
	}
	
	public static LiftPersonFlagEnum getEnum(Integer code)
	{
		for (LiftPersonFlagEnum liftPersonFlagEnum : LiftPersonFlagEnum.values())
		{
			if (liftPersonFlagEnum.getCode().equals(code))
			{
				return liftPersonFlagEnum;
			}
		}
		return null;
	}
}
